      subroutine constellation_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of
!     constellation_drv.
!
!     B. Knapp, 2001-04-26
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(3)
      external constellation_drv
!
      call constellation_drv( %val(argv(1)), %val(argv(2)),
     &   %val(argv(3)), %val(argv(4)), %val(argv(5)))
!
      return
      end

      subroutine constellation_drv( n, epoch, ra, dec, iau )
!
!     Driver interface (for use by IDL call_external) to function
!     constellation.
!
!     B. Knapp, 2001-04-26
!
      implicit none
!
!     Input:
      integer*4 n
      real*8 epoch(n)
      real*4 ra(n), dec(n)
!
!     Output:
      character*3 iau(n)
!
!     External functions, subroutines
      character*3 constellation
      external constellation

!     Local:
      integer*4 j
!
      do j=1,n
         iau(j) = constellation( epoch(j), ra(j), dec(j) )
      enddo
      return
      end
